## dex 0.7

=== Makefile ===
NAME = dex
PREFIX = /usr/local
DOCPREFIX = $(PREFIX)/share/doc/$(NAME)
MANPREFIX = $(PREFIX)/man
VERSION = $(shell git tag | tail -n 1)
TAG = dex-$(VERSION)

build:

install: dex dex.1 README LICENSE
	@echo installing executable file to $(DESTDIR)$(PREFIX)/bin
	@mkdir -p $(DESTDIR)$(PREFIX)/bin
	@install -m 0755 $< $(DESTDIR)$(PREFIX)/bin/
	@echo installing docs to $(DESTDIR)$(DOCPREFIX)
	@mkdir -p $(DESTDIR)$(DOCPREFIX)
	@install -m 0644 -t $(DESTDIR)$(DOCPREFIX)/ README LICENSE
	@echo installing manual page to $(DESTDIR)$(MANPREFIX)/man1
	@mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	@install -m 0644 -t $(DESTDIR)$(MANPREFIX)/man1 dex.1
	@sed -i -e "s/VERSION/$(VERSION)/g" $(DESTDIR)$(MANPREFIX)/man1/dex.1

tgz: source

source: dex dex.1 README LICENSE Makefile
	@echo "Creating source package: $(TAG).tar.gz"
	@mkdir $(TAG)
	@cp -t $(TAG) $+
	@tar czf $(TAG).tar.gz $(TAG)
	@rm -rf $(TAG)

clean:
	@rm $(TAG).tar.gz

.PHONY: build install tgz source

=== debian/changelog ===
dex (0.7-2) unstable; urgency=medium

  [ Scott Kitterman ]
  * Change python3-dev build-dep to python3 since package is arch all
    (Closes: #809437)
  * Add explicit build-dep on dh-python since there is no guarantee python3
    will always depends on it

 -- James McCoy <jamessan@debian.org>  Wed, 30 Dec 2015 13:17:00 -0500

dex (0.7-1) unstable; urgency=medium

  * Initial release. (Closes: #776033)

 -- James McCoy <jamessan@debian.org>  Sun, 08 Feb 2015 21:31:03 -0500

=== debian/control ===
Source: dex
Priority: extra
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends: debhelper (>= 9), python3, dh-python
Standards-Version: 3.9.6
Section: x11
Homepage: https://github.com/jceb/dex
Vcs-Git: https://anonscm.debian.org/git/collab-maint/dex.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dex.git/

Package: dex
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: generate and execute Application type .desktop files
 DesktopEntry eXecution implements the Freedesktop.org autostart
 specification, independent of any desktop or window manager environment.
 Applications may be filtered based on the Desktop Environment advertised
 in the .desktop file.
 .
 dex can also create a minimal .desktop file for a specified program.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3

# Nothing to build or clean
override_dh_auto_build override_dh_auto_clean:

override_dh_auto_install-indep:
	$(MAKE) install VERSION=$(UPSTREAM_VERSION) PREFIX=/usr DESTDIR=$(CURDIR)/debian/dex MANPREFIX='$${PREFIX}/share/man'
	rm -f $(CURDIR)/debian/dex/usr/share/doc/dex/LICENSE

## dex 0.8.0

=== Makefile ===
NAME = dex
PREFIX = /usr/local
DOCPREFIX = $(PREFIX)/share/doc/$(NAME)
MANPREFIX = $(PREFIX)/man
VERSION = $(shell git tag | tail -n 1)
TAG = $(NAME)-$(VERSION)

build: dex.1

dex.1: man/dex.rst
	@echo building the manpage in man/
	@sphinx-build -b man -D version=$(TAG) -E man . $+

install: dex dex.1 README.rst LICENSE
	@echo installing executable file to $(DESTDIR)$(PREFIX)/bin
	@mkdir -p $(DESTDIR)$(PREFIX)/bin
	@install -m 0755 $< $(DESTDIR)$(PREFIX)/bin/$(NAME)
	@echo installing docs to $(DESTDIR)$(DOCPREFIX)
	@mkdir -p $(DESTDIR)$(DOCPREFIX)
	@install -m 0644 -t $(DESTDIR)$(DOCPREFIX)/ README.rst LICENSE
	@echo installing manual page to $(DESTDIR)$(MANPREFIX)/man1
	@mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	@install -m 0644 dex.1 $(DESTDIR)$(MANPREFIX)/man1/$(NAME).1

tgz: source

source: dex dex.1 README.rst LICENSE Makefile CHANGELOG.md
	@echo "Creating source package: $(TAG).tar.gz"
	@mkdir $(TAG)
	@cp -t $(TAG) $+
	@tar czf $(TAG).tar.gz $(TAG)
	@rm -rf $(TAG)

clean:
	@rm -f $(TAG).tar.gz
	@rm -f dex.1

.PHONY: build install tgz source clean

=== debian/changelog ===
dex (0.8.0-2) unstable; urgency=medium

  * control: Change Priority to optional
  * copyright: Use https URL for copyright Format
  * control: Change Vcs-* URLs to salsa.debian.org
  * Bump debhelper compat to 11
  * control: Declare compliance with Policy 4.1.3

 -- James McCoy <jamessan@debian.org>  Mon, 12 Mar 2018 22:34:49 -0400

dex (0.8.0-1) unstable; urgency=medium

  [ upstream ]
  * Support Service type desktop files

  [ James McCoy ]
  * Build-Depend on python3-sphinx to build the man page.
  * Declare compliance with policy 4.0.0, no changes needed.

 -- James McCoy <jamessan@debian.org>  Thu, 22 Jun 2017 22:12:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: dex
-Priority: extra
+Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
-Build-Depends: debhelper (>= 9), python3, dh-python
-Standards-Version: 3.9.6
+Build-Depends:
+  debhelper (>= 11),
+  dh-python,
+  python3,
+  python3-sphinx
+Standards-Version: 4.1.3
 Section: x11
 Homepage: https://github.com/jceb/dex
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dex.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dex.git/
+Vcs-Git: https://salsa.debian.org/jamessan/dex.git
+Vcs-Browser: https://salsa.debian.org/jamessan/dex
 
 Package: dex
 Architecture: all

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v(\d[\d.]*)\.tar\.gz/<project>-$1.tar.gz/" \
 https://github.com/jceb/dex/tags (?:.*/)?v(\d[\d.]*)\.tar\.gz

## dex 0.9.0

=== debian/changelog ===
dex (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * Set Rules-Requires-Root: no
  * Switch to debhelper-compat (= 13)
  * watch: Replace <project> with actual project name
  * Declare compliance with Policy 4.5.0

 -- James McCoy <jamessan@debian.org>  Mon, 07 Sep 2020 20:26:14 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends:
-  debhelper (>= 11),
+  debhelper-compat (= 13),
   dh-python,
   python3,
   python3-sphinx
-Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Section: x11
 Homepage: https://github.com/jceb/dex
 Vcs-Git: https://salsa.debian.org/jamessan/dex.git

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v(\d[\d.]*)\.tar\.gz/dex-$1.tar.gz/" \
 https://github.com/jceb/dex/tags (?:.*/)?v(\d[\d.]*)\.tar\.gz

## dex 0.10.1

=== Makefile ===
--- 
+++ 
@@ -5,12 +5,14 @@
 VERSION = $(shell git tag | tail -n 1)
 TAG = $(NAME)-$(VERSION)
 
+.PHONY: build
 build: dex.1
 
 dex.1: man/dex.rst
 	@echo building the manpage in man/
 	@sphinx-build -b man -D version=$(TAG) -E man . $+
 
+.PHONY: install
 install: dex dex.1 README.rst LICENSE
 	@echo installing executable file to $(DESTDIR)$(PREFIX)/bin
 	@mkdir -p $(DESTDIR)$(PREFIX)/bin
@@ -22,8 +24,10 @@
 	@mkdir -p $(DESTDIR)$(MANPREFIX)/man1
 	@install -m 0644 dex.1 $(DESTDIR)$(MANPREFIX)/man1/$(NAME).1
 
+.PHONY: tgz
 tgz: source
 
+.PHONY: source
 source: dex dex.1 README.rst LICENSE Makefile CHANGELOG.md
 	@echo "Creating source package: $(TAG).tar.gz"
 	@mkdir $(TAG)
@@ -31,8 +35,12 @@
 	@tar czf $(TAG).tar.gz $(TAG)
 	@rm -rf $(TAG)
 
+.PHONY: clean
 clean:
 	@rm -f $(TAG).tar.gz
 	@rm -f dex.1
+	@rm -rf .doctrees
 
-.PHONY: build install tgz source clean
+.PHONY: changelog
+changelog:
+	git cliff -o CHANGELOG.md

=== debian/changelog ===
dex (0.10.1-1) unstable; urgency=medium

  * New upstream release
    + Remove sphinx-generated during clean (Closes: #1045019)
  * Bump copyright years in debian/copyright
  * Declare compliance with Policy 4.7.0, no changes needed
  * Update watch file to version 4 and mode=git

 -- James McCoy <jamessan@debian.org>  Tue, 13 Aug 2024 21:35:50 -0400

dex (0.9.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + dex: Add Multi-Arch: foreign.

  [ James McCoy ]
  * Declare compliance with Policy 4.6.2, no changes needed

 -- James McCoy <jamessan@debian.org>  Sat, 25 Feb 2023 21:10:11 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
   python3,
   python3-sphinx
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Section: x11
 Homepage: https://github.com/jceb/dex
 Vcs-Git: https://salsa.debian.org/jamessan/dex.git
@@ -16,6 +16,7 @@
 Package: dex
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
+Multi-Arch: foreign
 Description: generate and execute Application type .desktop files
  DesktopEntry eXecution implements the Freedesktop.org autostart
  specification, independent of any desktop or window manager environment.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3

override_dh_auto_build:
	$(MAKE) VERSION=$(DEB_VERSION_UPSTREAM)

override_dh_auto_install-indep:
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/dex MANPREFIX='$${PREFIX}/share/man'
	rm -f $(CURDIR)/debian/dex/usr/share/doc/dex/LICENSE $(CURDIR)/debian/dex/usr/share/doc/dex/README.rst

=== debian/watch ===
version=4
opts=mode=git \
https://github.com/jceb/dex.git refs/tags/v@ANY_VERSION@
